Re: Best/Cheapest Host

Yes, actually I did all that (supposedly), When I finished installation there was a message that said it was correct. Is there a way to verify it?

Anyways, I'm puzzled because I noticed in some questions related to my problem that some people mention a file named: passenger.conf that's supposed to be in: /etc/apache2/mods-enabled/ yet I don't have it. That file contains this commands:

LoadModule passenger_module /home/jose/.rvm/gems/ruby-1.9.2-p136/gems/passenger-3.0.6/ext/apache2/mod_passenger.so
PassengerRoot /home/jose/.rvm/gems/ruby-1.9.2-p136/gems/passenger-3.0.6
PassengerRuby /home/jose/.rvm/wrappers/ruby-1.9.2-p136/ruby

I have that code in a file named: phusion.conf located at: /etc/apache2/. I read in a guide that it is a good idea to create such file instead of putting that code above inside httpd.conf. I'm making my best guess here and I think that's probably the source of my current problem.

Let me know what you think !

Thank you.

Re: Best/Cheapest Host

I don't have any Passenger configuration settings in any Apache files. I do have an passenger.load and passenger.conf in my apache/mods-available directory with what looks like the correct Passenger configuration settings.

You want to ensure the Passenger mod is enabled. Once enabled you will see soft linked files in mods-enabled that point to mods-available.

a2enmod passenger

I would then reload and restart Apache.

Last edited by jmesserer (2011-04-05 20:30:25)

Re: Best/Cheapest Host

I have quite a few things to say on this regard, firstly... I don't have the passenger.conf in the apache/mods-available directory. What does this say about how passenger installed ?
On the other hand running

a2enmod passenger

gives me the following error: ERROR: Module passenger does not exist!
I'm kind of clueless right now, I'm not sure whether I'm supposed to have the passenger.conf file there or not, or if I should create it?
There's definitely something very wrong here.

Thanks for all the replies, I'll owe you more than just words..

J

Re: Best/Cheapest Host

Well, just a quick update, This command

apt-get install libapache2-mod-passenger libopenssl-ruby build-essential rubygems 

actually installed passenger, and I'm surprised because the rails cast I used to guide myself through installation never mentioned it.
Anyways, now I'm getting a Failure Page from passenger (it has a passenger styling and stuff), and here's the detailed Backtrace it has given me:

Backtrace:
#  File  Line  Location
0  /home/jose/hamldemo/config/boot.rb  9  
1  /usr/lib/ruby/1.8/rubygems/custom_require.rb  31  in `gem_original_require'
2  /usr/lib/ruby/1.8/rubygems/custom_require.rb  31  in `require'
3  /home/jose/hamldemo/config/application.rb  1  
4  /usr/lib/ruby/1.8/rubygems/custom_require.rb  31  in `gem_original_require'
5  /usr/lib/ruby/1.8/rubygems/custom_require.rb  31  in `require'
6  /home/jose/hamldemo/config/environment.rb  2  
7  /usr/lib/ruby/1.8/rubygems/custom_require.rb  31  in `gem_original_require'
8  /usr/lib/ruby/1.8/rubygems/custom_require.rb  31  in `require'
9  config.ru  3  
10  /usr/lib/ruby/1.8/rack/builder.rb  46  in `instance_eval'
11  /usr/lib/ruby/1.8/rack/builder.rb  46  in `initialize'
12  config.ru  1  in `new'
13  config.ru

Now, I think it'd a fantastic idea to see more about your passenger.load and passenger.conf files to see where do you have the Passenger configuration settings.

I'm sorry for the tide of messages I've posted today, I won't have a way to pay you for all your help !

Infinite Thanks !

J

Re: Best/Cheapest Host

Finally !

I've solved it !

Like I assumed in my last post, It was just a matter of placing the proper configuration settings for both of the aforementioned files.

THANK YOU ! I'll go get some sleep now... INFINITE THANKS !

Re: Best/Cheapest Host

jlstr, great news! Once you got the Passenger error page I knew you were close.

Re: Best/Cheapest Host

I wouldn't have done without your help, For this, like a said a thousand times before, I give you thanks! You're making the programming world a better place !

Re: Best/Cheapest Host

I think the Apache was not running.. trying to reinstalling the Apache

Re: Best/Cheapest Host

Better than Linode or RackSpace, I'd recommend 6sync. Newer hardware, KVM, and same price as linode. See the comparison chart here:
http://6sync.com/compare

Re: Best/Cheapest Host

I first apologies to ,make my post here but i have to share something that
I have same problem with ajax call request in rails 2.3.8.
when i set render :layout=>false, my ajax action not cache !! but when i remove it ,it work ok.
this problem occur for some ajax link but other ajax link work ok!!!
please help me & tell me how i can change ActionCacheFilter and which section of it must be changed, to solve this problem?
tanks.
please help me...
twilio api

Last edited by john_rambo (2012-02-11 07:01:43)